{
    /**
     * @param {HTMLElement} host
     * @param {import("../../file-drag-drop/1.0.0/GOVBRFileDragDropUserControl.mjs").GOVBRFileDragDropUserControl} data
     */
    const init = async (host, data) => {
        await GOVBRPlataformaJS.importarModulo(data.URL_CDN, 'file-drag-drop', data.VERSAO_JS_COMPONENTE, 'GOVBRFileDragDropUC');
        host.innerHTML = `
        <div class="govbr-file-drag-drop-base"></div>
        `;
        new GOVBRFileDragDropUC(data, host.querySelector('.govbr-file-drag-drop-base'));
    };
    GOVBRDemos.addInitComponente('file-drag-drop', init);
}
